﻿<UserControl x:Class="ModuleLibrary.Versions.v_1_1_1.Views.ModuleCfgView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:System="clr-namespace:System;assembly=mscorlib"
             xmlns:osarResGeneric ="clr-namespace:OsarResources.Generic;assembly=OsarResources"
             xmlns:local="clr-namespace:ModuleLibrary.Versions.v_1_1_1.Views"
             mc:Ignorable="d">

  <UserControl.Resources>
    <ObjectDataProvider x:Key="SystemStatesFromEnum" MethodName="GetValues" ObjectType="{x:Type System:Enum}">
      <ObjectDataProvider.MethodParameters>
        <x:Type TypeName="osarResGeneric:SystemState"/>
      </ObjectDataProvider.MethodParameters>
    </ObjectDataProvider>
  </UserControl.Resources>

  <Border Padding="5">
    <DockPanel Name="DP_Cfg">
      <!--- Config Module Header -->
      <TextBlock DockPanel.Dock="Top" Text="Det Module Configuration" HorizontalAlignment="Center" FontWeight="Bold" TextDecorations="Underline" FontSize="25"/>

      <!--- Config Module Data -->
      <ScrollViewer VerticalScrollBarVisibility="Auto">
        <Grid DockPanel.Dock="Top">
          <Grid.RowDefinitions>
            <!-- 0 -->
            <RowDefinition Height="Auto"/>
            <!-- 1 -->
            <RowDefinition Height="Auto"/>
            <!-- 2 -->
            <RowDefinition Height="Auto"/>
            <!-- 3 -->
            <RowDefinition Height="Auto"/>
            <!-- 4 -->
            <RowDefinition Height="Auto"/>
            <!-- 5 -->
            <RowDefinition Height="Auto"/>
            <!-- 6 -->
            <RowDefinition Height="Auto"/>
            <!-- 7 -->
            <RowDefinition Height="Auto"/>
          </Grid.RowDefinitions>
          <Grid.ColumnDefinitions>
            <ColumnDefinition Width="Auto" MinWidth="150"/>
            <ColumnDefinition Width="10"/>
            <ColumnDefinition Width="Auto" MinWidth="100" MaxWidth="200"/>
            <ColumnDefinition Width="Auto"/>
          </Grid.ColumnDefinitions>

          <!-- Display Det Module Version -->
          <TextBlock Grid.Row="0" Grid.ColumnSpan="3" Text="General Module Information:" FontSize="14" TextDecorations="Underline"/>
          <TextBlock Grid.Row="1" Grid.Column="0" Text="Det Module Version:" FontSize="14" />
          <TextBlock Grid.Row="1" Grid.Column="2" Text="{Binding ModuleVersion}" HorizontalAlignment="Stretch" FontSize="14" />
          <TextBlock Grid.Row="2" Grid.Column="0" Text="Det XML File Version:" FontSize="14" />
          <TextBlock Grid.Row="2" Grid.Column="2" Text="{Binding XmlFileVersion_String}" HorizontalAlignment="Stretch" FontSize="14" />

          <!-- Display Det Module Id -->
          <TextBlock Grid.Row="3" Grid.ColumnSpan="3" Margin="0 10 0 0" Text="Det Configuration Parameter:" FontSize="14" TextDecorations="Underline"/>
          <TextBlock Grid.Row="4" Grid.Column="0" Text="Det Module ID:" FontSize="14" />
          <TextBox Grid.Row="4" Grid.Column="2" Text="{Binding DetModuleID, Mode=TwoWay}" FontSize="14" HorizontalAlignment="Stretch"/>

          <!-- Display Det Module State -->
          <TextBlock Grid.Row="5" Grid.Column="0" Text="Det Module State:" FontSize="14" />
          <ComboBox Grid.Row="5" Grid.Column="2" ItemsSource="{Binding Source={StaticResource SystemStatesFromEnum}}" SelectedValue="{Binding DetModuleUsage, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" FontSize="14"></ComboBox>

          <!-- Display Det System State -->
          <TextBlock Grid.Row="6" Grid.Column="0" Text="Det System State:" FontSize="14" />
          <ComboBox Grid.Row="6" Grid.Column="2" ItemsSource="{Binding Source={StaticResource SystemStatesFromEnum}}" SelectedValue="{Binding DetEnable, Mode=TwoWay, UpdateSourceTrigger=PropertyChanged}" FontSize="14"></ComboBox>

          <!-- Display Det Deviation Count -->
          <TextBlock Grid.Row="7" Grid.Column="0" Text="Det deviation count:" FontSize="14" />
          <TextBox Grid.Row="7" Grid.Column="2" Text="{Binding DetDeviationCount, Mode=TwoWay}" FontSize="14" HorizontalAlignment="Stretch"/>
        </Grid>
      </ScrollViewer>
    </DockPanel>
  </Border>
</UserControl>